import { type UniversalOptions, type Config } from '@pnpm/config';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: Pick<UniversalOptions, 'dir'> & Pick<Config, 'catalogs' | 'ignoreScripts' | 'rawConfig' | 'embedReadme' | 'packGzipLevel' | 'nodeLinker'> & Partial<Pick<Config, 'extraBinPaths' | 'extraEnv'>> & {
    argv: {
        original: string[];
    };
    engineStrict?: boolean;
    packDestination?: string;
    workspaceDir?: string;
}): Promise<string>;
